import 'package:equatable/equatable.dart';

abstract class PasswordFormState extends Equatable {
  const PasswordFormState();

  @override
  List<Object> get props => [];
}

class PasswordFormInitial extends PasswordFormState {
  const PasswordFormInitial();
}

class PasswordFormLoadInProgress extends PasswordFormState {}

class PasswordFormLoadSuccess extends PasswordFormState {}

class PasswordFormLoadFailure extends PasswordFormState {
  const PasswordFormLoadFailure(this.exception);

  final Exception exception;
}

class PasswordFormIncorrectPassword extends PasswordFormState {}
