/// Thrown if during the tenant login settings process if a failure occurs.
class TenantLogInSettingsFailure implements Exception {}

/// Thrown if during the tenant login settings process
/// if tenant domain does not exist.
class TenantLogInSettingsIncorrect implements Exception {}

/// Thrown during the login process if a failure occurs.
class LogInWithEmailAndPasswordFailure implements Exception {}

/// Thrown during the login process if user or password are incorrect.
class LogInWithEmailAndPasswordIncorrect implements Exception {}

/// Thrown during the sign in with SAML process if a failure occurs.
class LogInSamlFailure implements Exception {}

/// Thrown during the change password process if a failure occurs.
class PasswordChangeFailure implements Exception {}

/// Thrown during the recovery password process if a failure occurs.
class PasswordRecoveryFailure implements Exception {}

/// Thrown during the logout process if a failure occurs.
class LogOutFailure implements Exception {}

/// Thrown during the logout process if token is incorrect.
class LogOutIncorrect implements Exception {}

class GetUserInvalidCredentials implements Exception {}

class GetUserFailure implements Exception {}

class RefreshTokenUnauthorized implements Exception {}

class RefreshTokenFailure implements Exception {}
